cmake_minimum_required(VERSION 3.10)

project(ADS_Praktikum)

add_subdirectory(P1/ADS_P1_1_Ringpuffer)
add_subdirectory(P1/ADS_P1_2_Binaerbaum)
add_subdirectory(P2/ADS_P2_1_Sortieren)
add_subdirectory(P2/ADS_P2_2_Hashtable)
add_subdirectory(P3)
add_subdirectory(P4)